using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace GridViewApp
{
    public class MainViewModel
    {
        public ObservableCollection<Product> Products { get; set; }
        public MainViewModel()
        {
            Products = new ObservableCollection<Product>();
            for (int i = 0; i < 5; i++)
            {
                Products.Add(new Product()
                {
                    Name = String.Format("Product {0}", i),
                    Description = String.Format("Description of Product {0}", i),
                    Price = 123 * i,
                    HasNotes = (i % 2) == 0
                });
            }
        }
    }
}
